**`Stefano Asprone`[NAME]** -NL- **`+44-7448935050`[PHONES_PHONE]** • **`stefanoasprone@libero.it`[EMAILS_EMAIL]** -NL- **`Personal Statement`[PERSONAL_DETAILS_HEADING]** -NL- A highly focused Analyst **`Programmer`[EMPLOYER_ROLE]** with several years’ experience in a variety of development -NL- positions. Organized, methodical and a keen eye for detail, results in solid coding and trustworthy -NL- software programmer. Understanding client requirements and communicating the progress of projects -NL- are core values in achieving long lasting business relationships. -NL- **`Personal and Technical Skills`[SKILLS_HEADING]** -NL- • Programming languages: Expert -NL- • Sense of organization. -NL- knowledge of Java, JSP, SQL. Good knowledge of Python, C/C++, -NL- • Ability to analyze and tendency to -NL- problem solving. -NL- JavaScript. Basic knowledge of Perl. -NL- • Availability and Dynamics. -NL- • Databases: Good Knowledge of -NL- • Flexibility and adaptability to business -NL- Oracle. Basic knowledge of SQL Server, DB2, Teradata, MySQL. -NL- needs. -NL- • Operating Systems: Good knowledge -NL- of Windows. -NL- • Application Server/Web Container: -NL- Good knowledge of IBM WebSphere. -NL- Basic knowledge of Oracle WebLogic, -NL- JBoss, Apache Tomcat. -NL- • Development Tools: Good knowledge -NL- of IBM Rational Application Developer, -NL- Kepler Eclipse, IBM WebSphere Studio -NL- Developer, Rational Web Developer, -NL- MyEclipse. Basic knowledge of IntelliJ, -NL- JDeveloper, JBuilder, C ++ Builder, -NL- Crystal Report, JReport, Visio, Komodo -NL- IDE. -NL- • Frameworks: Expert knowledge of -NL- Struts 2, Struts 1.3., Basic knowledge -NL- of Spring. -NL- • Persistence Relational - ORM: Good -NL- knowledge of Hibernate, JPA, MyBatis, -NL- IBatis. -NL- • Tools: Good knowledge of Toad, -NL- Erwin. Basic knowledge of Maven, Git, -NL- Visual SourceSafe, CVS, Dimensions, -NL- ChangeMan, SVN. -NL- • HTML/CSS: Good knowledge of -NL- HTML5, CSS3. -NL- • Unit Testing: Good Knowledge of -NL- JUnit. -NL- **`Employment History`[WORK_EXPERIENCE_HEADING]** -NL- **`Analyst/Programmer`[EMPLOYER_ROLE]** - **`Equitalia S.p.A`[EMPLOYER_COMPANY_NAME]**, (Rome, Italy) -NL- (July 2016 – Present) -NL- Healthcare CMS (Card Management System): Allow the management of the entire life cycle of the -NL- Health Tiles (TS) and of the Electronic Health Record (ESF) of the citizen. -NL- Part-time CV template by reed.co.uk -NL- • Role and responsibility: development an review of controls and application functionalities. In -NL- particular, development of the features of a web service. -NL- CUP: Manages the regional service that allows citizens to book visits and specialist services and to -NL- monitor bookings. -NL- • Role and responsibility: development and implementation of monitoring and statistics -NL- functions. Testing of results. -NL- CBCDAC: Manages part of the mandatory automatic exchange of information in the tax sector -NL- between European financial administrations. The application consists of an EJB that exposes some -NL- services, and an MDB (Message Driven Bean) for JMS messages. -NL- • Role and responsibility: development and implementation of the MDB component. -NL- Taxpayers: Monitoring the situation of Equitalia taxpayers. The application consists of a web -NL- application accessible only by the Equitalia team. -NL- • Role and responsibility: development and review of the part of access to the DB (DAO). -NL- Testing. -NL- Corporations: Monitoring the situation of the government agencies. The application as part of a front- -NL- end Web Application accessible only by Equitalia staff and a part of back end with an EJB. -NL- • Role and responsibility: analysis and development of the entire application. -NL- **`Programmer`[EMPLOYER_ROLE]** – **`INAIL`[EMPLOYER_COMPANY_NAME]**, (Rome, Italy) -NL- (July 2014 – May 2016) -NL- Acoustic Emission project. Computerizing the process of verification for decades LPG systems -NL- located throughout the country. The application has provided a part of the front-end consists of two -NL- Web Application, Internet and Intranet, and a part of the back-end with the presence of an EJB. -NL- • Role and responsibility: development of a Web Application, Web Service and EJB Timer. -NL- **`Analyst/Programmer `[EMPLOYER_ROLE]**– **`INPS`[EMPLOYER_COMPANY_NAME]**, (Rome, Italy) -NL- (September 2009 – June 2014) -NL- Sina - Information System for non self-sufficiency. Consisting of a Web Application, a Web Service -NL- and a EJB Timer. -NL- AnfDs - Application for the management of family allowances ( ANF ) directed to the citizen. It -NL- consists of a Web application and a Web Service. -NL- AnfDsSedi - Software for the management of family allowances ( ANF ) directed to the staff of the -NL- headquarters of the Institute **`INPS`[EMPLOYER_COMPANY_NAME]**. Consisting of a Web Application and a Web Service. -NL- AnfDsPatronati - Software for the management of family allowances ( ANF ) directed Unions. -NL- • Role and responsibility: analysis, development and testing of applications. -NL- **`Programmer`[EMPLOYER_ROLE]** – **`Telecom S.p.A`[EMPLOYER_COMPANY_NAME]**. (Rome, Italy) -NL- (May 2008 – December 2009) -NL- Fas system and its systems and subsystems for the management of all operational interventions -NL- carried out by Telecom personnel. -NL- • Role and responsibility: Perl routine development of OpenLDAP. -NL- Part-time CV template by reed.co.uk -NL- **`Programmer`[EMPLOYER_ROLE]** – **`Tim S.p.A`[EMPLOYER_COMPANY_NAME]**, (Rome, Italy) -NL- (January 2007 – May 2008) -NL- Web Application for the management of TIM advertising campaigns. -NL- • Role and responsibility: development of the application front-end. -NL- **`Analyst/Programmer`[EMPLOYER_ROLE]** – **`Esis Italia`[EMPLOYER_COMPANY_NAME]** , (Rome, Italy) -NL- (October 2007 – September 2008) -NL- Porting with re-engineering of a an application from C# in JAVA which concerned the management of -NL- classes of students. -NL- • Role and responsibility: analysis and development of the application. -NL- **`Programmer`[EMPLOYER_ROLE]** – **`Sogei`[EMPLOYER_COMPANY_NAME]** (Company Information Technology of the Ministry of Economy and Finance), -NL- (Rome, Italy) -NL- (October 2005 – July 2006) -NL- CLO - Web Application for the management of the database CLO. -NL- • Role and responsibility: development of the back-end part of the application. -NL- **`Programmer and Analyst Programmer`[EMPLOYER_ROLE]** - **`Tecnosoft Software Agency`[EMPLOYER_COMPANY_NAME]**, (Naples, Italy) -NL- (February 1996 – July 2005) -NL- Web Application for the management of customs operations and for the management of Kodak -NL- shops. -NL- • Role and responsibility: analysis and development of the application. -NL- many applications in the areas of: -NL- management accounting, billing, inventory, warehouse, statistics, goods movement, management for -NL- customs agents and forwarding agents. -NL- • Role and responsibility: for some of these applications only worked on development for others -NL- I have contributed to the analysis. -NL- **`Programmer`[EMPLOYER_ROLE]** - **`Cogesin S.p.A`[EMPLOYER_COMPANY_NAME]**. - Profind S.r.l. , (Naples, Italy) -NL- (January 1991 - December 1995) -NL- Development of two applications in the areas of: -NL- management of motorway sections of Autostrade S.p.A. and management application of a bonded -NL- warehouse. -NL- • Role and responsibility: development of the application. -NL- **`Education`[EDUCATION_HEADING]** -NL- (**`BSc`[EDUCATION_DEGREE]** – Bachelor’s Degree) **`University “La Sapienza”,`[EDUCATION_INSTITUTE]** (Rome, Italy) -NL- (2015 – Present) -NL- Qualification: **`Computer Science`[EDUCATION_COURSE]** -NL- A Levels/High School Diploma: **`F. Giordani Istituto Tecnico Industriale Statale`[EDUCATION_INSTITUTE]**, (Naples, Italy) -NL- (1982 – 1987) -NL- Qualification: Junior **`Informatics`[EDUCATION_COURSE]** -NL- Part-time CV template by reed.co.uk -NL- JAVA / J2EE Programming Course, (Rome, Italy) -NL- (September 2005) -NL- Java Programming Language Course, (Sun Microsystems - Italy) -NL- (June 2003) -NL- **`References`[OTHERS_HEADING]** -NL- References are available upon request. -NL- Part-time CV template by reed.co.uk -NL- 